summaryrefslogtreecommitdiffstats
path: root/source/l/libimobiledevice-glue/fetch-libimobiledevice-glue.sh
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2022-01-02 01:25:29 +0000
committer Eric Hameleers <alien@slackware.com>2022-01-02 08:59:54 +0100
commit4b5d75483c1f858242945982c4bf879f9a7929ac (patch)
treeee34ebd40ef7b3b6a40a24e5e36142081a7e0c8e /source/l/libimobiledevice-glue/fetch-libimobiledevice-glue.sh
parenta4a4d64170ecf6bf20bb90def93307aa8ebe18c6 (diff)
downloadcurrent-20220102012529.tar.gz
current-20220102012529.tar.xz
Sun Jan 2 01:25:29 UTC 202220220102012529
a/mdadm-4.2-x86_64-1.txz: Upgraded. ap/usbmuxd-20210925_e3a3180-x86_64-1.txz: Upgraded. Updated to fix mounting devices with iOS 15.1. Thanks to qunying. l/libimobiledevice-20211124_2c6121d-x86_64-1.txz: Upgraded. l/libimobiledevice-glue-20211125_3cb687b-x86_64-1.txz: Added. l/xapian-core-1.4.19-x86_64-1.txz: Upgraded. x/mesa-21.3.3-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/libimobiledevice-glue/fetch-libimobiledevice-glue.sh')
-rwxr-xr-xsource/l/libimobiledevice-glue/fetch-libimobiledevice-glue.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/source/l/libimobiledevice-glue/fetch-libimobiledevice-glue.sh b/source/l/libimobiledevice-glue/fetch-libimobiledevice-glue.sh
new file mode 100755
index 000000000..7af368d88
--- /dev/null
+++ b/source/l/libimobiledevice-glue/fetch-libimobiledevice-glue.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# Copyright 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Pull a stable branch + patches
+BRANCH=${1:-master}
+
+# Clear download area:
+rm -rf libimobiledevice-glue
+
+# Clone repository:
+git clone https://github.com/libimobiledevice/libimobiledevice-glue
+
+# checkout $BRANCH:
+( cd libimobiledevice-glue
+ git checkout $BRANCH || exit 1
+)
+
+HEADISAT="$( cd libimobiledevice-glue && git log -1 --format=%h )"
+DATE="$( cd libimobiledevice-glue && git log -1 --format=%cd --date=format:%Y%m%d )"
+LONGDATE="$( cd libimobiledevice-glue && git log -1 --format=%cd --date=format:%c )"
+# Cleanup. We're not packing up the whole git repo.
+( cd libimobiledevice-glue && find . -type d -name ".git*" -exec rm -rf {} \; 2> /dev/null )
+mv libimobiledevice-glue libimobiledevice-glue-${DATE}_${HEADISAT}
+tar cf libimobiledevice-glue-${DATE}_${HEADISAT}.tar libimobiledevice-glue-${DATE}_${HEADISAT}
+xz -9 -f libimobiledevice-glue-${DATE}_${HEADISAT}.tar
+rm -rf libimobiledevice-glue-${DATE}_${HEADISAT}
+touch -d "$LONGDATE" libimobiledevice-glue-${DATE}_${HEADISAT}.tar.xz
+echo
+echo "libimobiledevice-glue branch $BRANCH with HEAD at $HEADISAT packaged as libimobiledevice-glue-${DATE}_${HEADISAT}.tar.xz"
+echo